<?php

use App\Http\Controllers\CustomerSummaryController;
use App\Http\Controllers\ResellerAccountReportController;
use App\Http\Controllers\ResellerBillGenerateController;
use App\Http\Controllers\ResellerBillPaymentController;

use Illuminate\Support\Facades\Route;

Route::get('getPaymentHistoryOfResellerClient/{id}', [ResellerBillPaymentController::class, 'getPaymentHistoryOfResellerClient'])->name('getPaymentHistoryOfResellerClient');
Route::post('billGenerateResellerClient', [ResellerBillGenerateController::class, 'billGenerateResellerClient'])->name('billGenerateResellerClient');
Route::post('add-bill-other-reseller-customer', [ResellerBillGenerateController::class, 'addBillOtherResellerCustomer'])->name('addBillOtherResellerCustomer');
Route::post('resellerClientPaymentProcess', [ResellerBillPaymentController::class, 'resellerClientPaymentProcess'])->name('resellerClientPaymentProcess');
Route::get('reseller-customer-payment-report', [ResellerAccountReportController::class, 'resellerCustomerPaymentReport'])->name('reseller-customer-payment-report');
Route::get('resellerPaymentReportSearch', [ResellerAccountReportController::class, 'resellerPaymentReportSearch'])->name('resellerPaymentReportSearch');
Route::get('reseller-due-customer-list', [ResellerAccountReportController::class, 'resellerDueCustomerList'])->name('reseller-due-customer-list');
Route::get('resellerClientDueReportSearch', [ResellerAccountReportController::class, 'resellerClientDueReportSearch'])->name('resellerClientDueReportSearch');
Route::get('resellerBillGenerateReport', [ResellerBillGenerateController::class, 'resellerBillGenerateReport'])->name('resellerBillGenerateReport');
Route::get('resellerBillGenerateReportSearch', [ResellerBillGenerateController::class, 'resellerBillGenerateReportSearch'])->name('resellerBillGenerateReportSearch');

Route::delete('reseller-client-payment-delete/{id}', [ResellerBillPaymentController::class, 'resellerClientPaymentDelete'])->name('reseller-client-payment-delete');
Route::delete('reseller-client-bill-delete/{id}', [ResellerBillGenerateController::class, 'resellerClientBillDelete'])->name('reseller-client-bill-delete');
